import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/user/user_event.dart';
import 'package:pharmacy_mobile/blocs/user/user_state.dart';

class UserBloc extends Bloc<UserEvent, UserState> {
  UserBloc() : super(UserState('')) {
    on<UserSetValue>((event, emit) {
      emit(UserState(event.value));
    });
    on<UserGetValue>((event, emit) {
      emit(state);
    });
  }
}
